package com.persagy.dmp.middleware.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName DefineTypeRel
 * @Description: 对象统计
 * @Author linhuili
 * @Date 2022/4/19 15:01
 * @Version V1.0
 **/
@Data
@TableName(value = "wd_object_count", autoResultMap = true)
public class WdObjectCount {

    /** id */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /** 集团编码 */
    private String groupCode;

    /** 项目id */
    private String projectId;

    /** 建筑id */
    private String buildId;

    /** 楼层id */
    private String floorId;


    /** 系统编码 */
    private String systemCode;

    /** BIM构建编码 */
    private String bimTypeId;

    /** 类型名称 */
    private String className;

    /** 对象数量 */
    private Integer count;

    /** 对象面积 */
    private Integer area;

    /** 创建时间 */
    private Date create_time;

    /** 修改时间 */
    private Date update_time;

    /** 有效标示 1-有效 0-无效 */
    private Integer valid;
}
